kafka消费者客户端异常

kafka集群(两个broker)消费同一个topic(3个分区),报异常

Error Closing socket for xxx -xxx because of error (kafka.network.Processor) ...Causedy by java.lang.IllegalArgumentException:Invalid version for API key 2 :1

这个后面的貌似是api版本不对,但是我不清楚这个api代表的是啥啊(xxx是我的ip和端口)






发表于: 9月前   最后更新时间: 9月前   游览量:661
上一条: 如何删除kafka中堆积的数据
下一条: 怎么获取kafuka队列未消费数据的长度

  • 这个是因为客户端版本与服务端版本不一致导致的问题吗?